
void _efl_net_dialer_ssl_ssl_context_set(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd, Efl_Net_Ssl_Context *ssl_context);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_dialer_ssl_context_set, EFL_FUNC_CALL(ssl_context), Efl_Net_Ssl_Context *ssl_context);

Efl_Net_Ssl_Context *_efl_net_dialer_ssl_ssl_context_get(const Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_dialer_ssl_context_get, Efl_Net_Ssl_Context *, NULL);

Eina_Bool _efl_net_dialer_ssl_keep_alive_set(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd, Eina_Bool keep_alive);


static Eina_Error
__eolian_efl_net_dialer_ssl_keep_alive_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_net_dialer_ssl_keep_alive_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODYV(efl_net_dialer_ssl_keep_alive_set, Eina_Bool, EINA_FALSE /* false */, EFL_FUNC_CALL(keep_alive), Eina_Bool keep_alive);

Eina_Bool _efl_net_dialer_ssl_keep_alive_get(const Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);


static Eina_Value
__eolian_efl_net_dialer_ssl_keep_alive_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_dialer_ssl_keep_alive_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_dialer_ssl_keep_alive_get, Eina_Bool, 0);

Eina_Bool _efl_net_dialer_ssl_no_delay_set(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd, Eina_Bool no_delay);


static Eina_Error
__eolian_efl_net_dialer_ssl_no_delay_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_net_dialer_ssl_no_delay_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODYV(efl_net_dialer_ssl_no_delay_set, Eina_Bool, EINA_FALSE /* false */, EFL_FUNC_CALL(no_delay), Eina_Bool no_delay);

Eina_Bool _efl_net_dialer_ssl_no_delay_get(const Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);


static Eina_Value
__eolian_efl_net_dialer_ssl_no_delay_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_dialer_ssl_no_delay_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_dialer_ssl_no_delay_get, Eina_Bool, 0);

Efl_Object *_efl_net_dialer_ssl_efl_object_constructor(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);


Efl_Object *_efl_net_dialer_ssl_efl_object_finalize(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);


void _efl_net_dialer_ssl_efl_object_invalidate(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);


Eina_Error _efl_net_dialer_ssl_efl_net_dialer_dial(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd, const char *address);


const char *_efl_net_dialer_ssl_efl_net_dialer_address_dial_get(const Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);


void _efl_net_dialer_ssl_efl_net_dialer_connected_set(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd, Eina_Bool connected);


Eina_Bool _efl_net_dialer_ssl_efl_net_dialer_connected_get(const Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);


void _efl_net_dialer_ssl_efl_net_dialer_proxy_set(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd, const char *proxy_url);


const char *_efl_net_dialer_ssl_efl_net_dialer_proxy_get(const Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);


void _efl_net_dialer_ssl_efl_net_dialer_timeout_dial_set(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd, double seconds);


double _efl_net_dialer_ssl_efl_net_dialer_timeout_dial_get(const Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);


Eina_Error _efl_net_dialer_ssl_efl_io_closer_close(Eo *obj, Efl_Net_Dialer_Ssl_Data *pd);


static Eina_Bool
_efl_net_dialer_ssl_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_NET_DIALER_SSL_EXTRA_OPS
#define EFL_NET_DIALER_SSL_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_net_dialer_ssl_context_set, _efl_net_dialer_ssl_ssl_context_set),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_ssl_context_get, _efl_net_dialer_ssl_ssl_context_get),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_ssl_keep_alive_set, _efl_net_dialer_ssl_keep_alive_set),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_ssl_keep_alive_get, _efl_net_dialer_ssl_keep_alive_get),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_ssl_no_delay_set, _efl_net_dialer_ssl_no_delay_set),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_ssl_no_delay_get, _efl_net_dialer_ssl_no_delay_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_net_dialer_ssl_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_net_dialer_ssl_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_net_dialer_ssl_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_dial, _efl_net_dialer_ssl_efl_net_dialer_dial),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_address_dial_get, _efl_net_dialer_ssl_efl_net_dialer_address_dial_get),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_connected_set, _efl_net_dialer_ssl_efl_net_dialer_connected_set),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_connected_get, _efl_net_dialer_ssl_efl_net_dialer_connected_get),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_proxy_set, _efl_net_dialer_ssl_efl_net_dialer_proxy_set),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_proxy_get, _efl_net_dialer_ssl_efl_net_dialer_proxy_get),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_timeout_dial_set, _efl_net_dialer_ssl_efl_net_dialer_timeout_dial_set),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_timeout_dial_get, _efl_net_dialer_ssl_efl_net_dialer_timeout_dial_get),
      EFL_OBJECT_OP_FUNC(efl_io_closer_close, _efl_net_dialer_ssl_efl_io_closer_close),
      EFL_NET_DIALER_SSL_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"keep_alive", __eolian_efl_net_dialer_ssl_keep_alive_set_reflect, __eolian_efl_net_dialer_ssl_keep_alive_get_reflect},
      {"no_delay", __eolian_efl_net_dialer_ssl_no_delay_set_reflect, __eolian_efl_net_dialer_ssl_no_delay_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_net_dialer_ssl_class_desc = {
   EO_VERSION,
   "Efl.Net.Dialer_Ssl",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Net_Dialer_Ssl_Data),
   _efl_net_dialer_ssl_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_net_dialer_ssl_class_get, &_efl_net_dialer_ssl_class_desc, EFL_NET_SOCKET_SSL_CLASS, EFL_NET_DIALER_INTERFACE, NULL);
